package pkg

type SecretHook struct {
	Token string `json:"token"`
}

type SecretGitea struct {
	Url   string `json:"url"`
	Token string `json:"token"`
}

type SecretTrusted struct {
	Senders []string `json:"senders"`
}

type ConsulSecret struct {
	Hook    SecretHook    `json:"hook"`
	Gitea   SecretGitea   `json:"gitea"`
	Trusted SecretTrusted `json:"trusted"`
	Inject  string        `json:"inject"`
}
